[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

[SECURITY] Fedora 10 Update: moodle-1.9.4-1.fc10



--------------------------------------------------------------------------------
Fedora Update Notification
FEDORA-2009-1699
2009-02-13 20:56:52
--------------------------------------------------------------------------------

Name        : moodle
Product     : Fedora 10
Version     : 1.9.4
Release     : 1.fc10
URL         : http://moodle.org/
Summary     : A Course Management System
Description :
Moodle is a course management system (CMS) - a free, Open Source software
package designed using sound pedagogical principles, to help educators create
effective online learning communities.

--------------------------------------------------------------------------------
Update Information:

Multiple security fixes.
--------------------------------------------------------------------------------
ChangeLog:

* Tue Feb 10 2009 Jon Ciesla <limb jcomserv net> - 1.9.4-1
- Update to 1.9.4 to fix CVE-2009-0499,0500,0501,0502.
* Tue Jan 27 2009 Jon Ciesla <limb jcomserv net> - 1.9.3-6
- Dropped and symlinked to khmeros-base-fonts.
* Tue Jan 20 2009 Jon Ciesla <limb jcomserv net> - 1.9.3-5
- Dropped and symlinked illegal sm and to fonts.
- Symlinking to FreeSans.
- Drop spell-check-logic.cgi, CVE-2008-5153, per upstream, BZ 472117, 472119, 472120.
* Wed Dec 17 2008 Jon Ciesla <limb jcomserv net> - 1.9.3-4
- Texed fix, BZ 476709.
* Fri Nov  7 2008 Jon Ciesla <limb jcomserv net> - 1.9.3-3
- Moved to weekly downloaded 11/7/08 to fix Snoopy CVE-2008-4796.
* Fri Oct 31 2008 Jon Ciesla <limb jcomserv net> - 1.9.3-2
- Fix for BZ 468929, overactive cron job.
--------------------------------------------------------------------------------
References:

  [ 1 ] Bug #484924 - CVE-2009-0502 moodle: XSS vuln in HTML blocks
        https://bugzilla.redhat.com/show_bug.cgi?id=484924
  [ 2 ] Bug #484922 - CVE-2009-0500 moodle: XSS vuln due to missing input validation in logs
        https://bugzilla.redhat.com/show_bug.cgi?id=484922
  [ 3 ] Bug #484916 - CVE-2009-0499 moodle: CSRF vuln in forum code
        https://bugzilla.redhat.com/show_bug.cgi?id=484916
  [ 4 ] Bug #484923 - CVE-2009-0501 moodle: calendar export may allow brute force attacks
        https://bugzilla.redhat.com/show_bug.cgi?id=484923
--------------------------------------------------------------------------------

This update can be installed with the "yum" update program.  Use 
su -c 'yum update moodle' at the command line.
For more information, refer to "Managing Software with yum",
available at http://docs.fedoraproject.org/yum/.

All packages are signed with the Fedora Project GPG key.  More details on the
GPG keys used by the Fedora Project can be found at
http://fedoraproject.org/keys
--------------------------------------------------------------------------------


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]